# Overview

The Eversign API enables you to automate document workflows by electronically signing, sending, and managing documents. With Eversign, you can create legally binding documents, send them out for signature, and track their status. This eliminates manual tasks, reduces errors, and speeds up the document handling process. Pipedream's integration with Eversign lets you trigger workflows based on document events, or perform actions like creating and sending documents automatically, thereby integrating seamless e-signature processes within your digital ecosystem.

# Example Workflows

**Automate Contract Generation for New Clients**
When a new client is added to your CRM (like Salesforce or HubSpot), trigger a Pipedream workflow that automatically creates a personalized contract using the Eversign API and sends it to the client for signature. On completion, store the signed contract in a cloud storage service like Google Drive.

**Streamline Employee Onboarding**
Connect your HR platform (e.g., BambooHR) to Pipedream. When a new employee is onboarded, trigger a workflow that generates necessary employment documents with Eversign. After the employee signs, update their record in the HR platform and store the document in a secure location.

**Trigger Notifications on Document Status Changes**
Set up a workflow that listens for status updates on documents sent via Eversign (e.g., sent, viewed, signed). When a document's status changes, trigger actions such as sending a real-time notification through Slack or email, updating a status dashboard, or triggering follow-up tasks in project management tools like Asana or Trello.
